Post Loyalty Program Customer Push
curl --request POST \
--url https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/push \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>'})
};
fetch('https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/push', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/push"
payload = { "message": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Loyalty
Post Loyalty Program Customer Push
Send Push Notification to a Customer
Sends a push notification to a specific customer’s installed pass.
Path Parameters:
programId: UUID of the loyalty programcustomerId: UUID of the customer
Request Body:
message: The message content to send (optional)
Note:
- Excessive usage of push notifications can lead to rate limiting or blocking of your cards.
Returns:
- HTTP 200 OK on successful delivery.
POST
/
v2
/
loyalty
/
programs
/
{programId}
/
customers
/
{customerId}
/
push
Post Loyalty Program Customer Push
curl --request POST \
--url https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/push \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>'})
};
fetch('https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/push', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/loyalty/programs/{programId}/customers/{customerId}/push"
payload = { "message": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Headers
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
Response
Successful Response
